org.apache.cassandra.transport

## Class Server.Builder

- java.lang.Object
- - org.apache.cassandra.transport.Server.Builder

- Enclosing class:
    Server

      public static class Server.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Server` | `build()`
    `Server.Builder` | `withEventExecutor(io.netty.util.concurrent.EventExecutor eventExecutor)`
    `Server.Builder` | `withEventLoopGroup(io.netty.channel.EventLoopGroup eventLoopGroup)`
    `Server.Builder` | `withHost(java.net.InetAddress host)`
    `Server.Builder` | `withPort(int port)`
    `Server.Builder` | `withSSL(boolean useSSL)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withSSL

          public Server.Builder withSSL(boolean useSSL)

    - #### withEventLoopGroup

          public Server.Builder withEventLoopGroup(io.netty.channel.EventLoopGroup eventLoopGroup)

    - #### withEventExecutor

          public Server.Builder withEventExecutor(io.netty.util.concurrent.EventExecutor eventExecutor)

    - #### withHost

          public Server.Builder withHost(java.net.InetAddress host)

    - #### withPort

          public Server.Builder withPort(int port)

    - #### build

          public Server build()

Copyright © 2018 The Apache Software Foundation